Share this article

Apogee is pleased to announce all current Apogee gear is compatible with macOS 14 Sonoma. Head over to our Downloads page to grab the latest installers.

* WAIT to upgrade to Sonoma if you have Intel Mac & previous models “Duet for iPad & Mac”, Quartet, or “ONE for iPad & Mac”. [Click HERE for more info] (Resolved in macOS 14.1 update)